PHP-инклюдинг в phpFan

Дата публикации:
18.11.2008
Всего просмотров:
1628
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpFan 3.x
Уязвимые версии: phpFan 3.3.4, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "includepath" в сценарии includes/init.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена и в конфигурационном файле PHP. Пример:

http://[host]/includes/init.php?includepath=[file]

URL производителя: scripts.ishallnotcare.org/phpfan/

Решение: Установите последнюю версию 3.3.5 с сайта производителя.

Ссылки: http://scripts.ishallnotcare.org/2008/11/18/phpfan-335-security-release-important/

или введите имя

CAPTCHA